# tests disabled many missing dependencies
%global enable_tests 0
%global srcname html-minifier
%global commit ec4227c7aed93144c8d4d335200cbbabccac1222

Name:           nodejs-%{srcname}
Version:        1.0.0
Release:        2%{?dist}
Summary:        HTML minifier with lint-like capabilities
License:        MIT
URL:            https://kangax.github.io/html-minifier/
Source0:        https://github.com/kangax/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz
Source1:        %{name}.man.1.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(grunt-exec)
BuildRequires:  npm(grunt-jscs)
BuildRequires:  npm(grunt-contrib-qunit)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(time-grunt)
%endif

%description
HTMLMinifier is a highly configurable, well-tested, Javascript-based HTML 
minifier, with lint-like capabilities.


%prep
%setup -q -n %{srcname}-%{commit}
rm -rf node_modules/
%nodejs_fixdep cli '0.x'
%nodejs_fixdep clean-css '3.x'
%nodejs_fixdep concat-stream '1.x'
%nodejs_fixdep uglify-js '2.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json cli.js dist/ %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/cli.js %{buildroot}%{_bindir}/%{srcname}

mkdir -p %{buildroot}%{_mandir}/man1
cp -pr %{SOURCE1} %{buildroot}%{_mandir}/man1/html-minifier.1.gz

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md sample-cli-config-file.conf
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1.gz


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Fri Oct 16 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Sat Jul 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.2-1
- Update to 0.7.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar  6 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.0-2
- fixdep for new clean-css verion
- updated Source0 to comply with guidelines

* Tue Feb 10 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.0-1
- update to 0.7.0

* Tue Dec 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.6.9-1
- Initial package
